CXX=$CC
CFLAGS += -g -Wall -I.. -DACTUAL
CXXFLAGS= $(CFLAGS)
LFLAGS=-L..
LIBES=-lbasis_g

TESTS=testsysconfig testkarray testkw testka \
      testkaarray testresolv testhosts testio thing testyp \
      testaliases testmd5

all: $(TESTS)

testmd5: testmd5.o
	$(CC) $(LFLAGS) -o testmd5 testmd5.o $(LIBES)

testaliases: testaliases.o
	$(CC) $(LFLAGS) -o testaliases testaliases.o $(LIBES)

testyp: testyp.o
	$(CC) $(LFLAGS) -o testyp testyp.o $(LIBES)

testio: testio.o
	$(CC) $(LFLAGS) -o testio testio.o $(LIBES)

thing:  thing.cc
	$(CC) $(CXXFLAGS) -o thing -DTESTING thing.cc

clean:
	rm -f $(TESTS) *.o

spotless: clean

testsysconfig: testsysconfig.o
	$(CC) $(LFLAGS) -o testsysconfig testsysconfig.o $(LIBES)

testkarray: testkarray.o
	$(CC) $(LFLAGS) -o testkarray testkarray.o $(LIBES)

testresolv: testresolv.o
	$(CC) $(LFLAGS) -o testresolv testresolv.o $(LIBES)

testhosts: testhosts.o
	$(CC) $(LFLAGS) -o testhosts testhosts.o $(LIBES)

testkaarray: testkaarray.o
	$(CC) $(LFLAGS) -o testkaarray testkaarray.o $(LIBES)

testka:	testka.o
	$(CC) $(LFLAGS) -o testka testka.o $(LIBES)

testkw:	testkw.o
	$(CC) $(LFLAGS) -o testkw testkw.o $(LIBES)

.cc.o:
	$(CXX) $(CFLAGS) -c $<

testhosts.o: testhosts.cc ../Hosts.H
testka.o: testka.cc ../KA.H
testkaarray.o: testkaarray.cc ../KAarray.H ../KA.H
testkarray.o: testkarray.cc ../Karray.H ../KW.H
testkw.o: testkw.cc ../KW.H
testresolv.o: testresolv.cc ../Resolv.H
testsysconfig.o: testsysconfig.cc ../Sysconfig.H
testwebshield.o: testwebshield.cc ../Webshield.H
